<table *ngIf="product">
    <tr>
        <th>ID</th>
        <td>{{product.id | number}}</td>
    </tr>
    <tr>
        <th>Name</th>
        <td>{{product.name | titlecase}}</td>
    </tr>
    <tr>
        <th>Price</th>
        <td>{{product.price | currency:'GBP':'code'}}</td>
    </tr>
    <tr>
        <th>Description</th>
        <td>{{product.description}}</td>
    </tr>
</table>

<div *ngIf="!product" class="empty">
    No such product: ID={{id}}
</div>